%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define shortname tagpy

Summary: Python bindings for TagLib to read and write music files tags
Name: python-tagpy
Version: 0.91
Release: %mkrel 1
License: BSD
Group: Development/Python
URL: http://news.tiker.net/software/tagpy
Source0: http://news.tiker.net/news.tiker.net/download/software/tagpy/tagpy-%{version}.tar.gz
Source1: tagpy-LICENSE
Patch0: tagpy-0.91-baz.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel
BuildRequires: taglib-devel
BuildRequires: boost-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.


%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p1 -b .baz
%{__install} -p -m 0644 %{SOURCE1} LICENSE


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README test/*.py test/tagrename
%{py_platsitedir}/%{shortname}/
%{py_platsitedir}/_%{shortname}.so
%{py_platsitedir}/%{shortname}-%{version}-py2.5.egg-info


%changelog
* Fri Nov 23 2007 Jérôme Soyer <saispo@mandriva.org> 0.91-1mdv2008.1
+ Revision: 111580
- import python-tagpy


